Page MenuHomePhabricator

[ReachableCode] Skip over ExprWithCleanups in isConfigurationValue
ClosedPublic

Authored by timshen on Aug 29 2016, 3:44 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

timshen updated this revision to Diff 69627.Aug 29 2016, 3:44 PM
timshen retitled this revision from to [ReachableCode] Skip over ExprWithCleanups in isConfigurationValue.
timshen updated this object.
timshen added reviewers: rsmith, pirama.
timshen added a subscriber: cfe-commits.
timshen updated this object.Aug 29 2016, 3:45 PM
timshen added a reviewer: krememek.
pirama edited edge metadata.Aug 29 2016, 3:48 PM
pirama added a subscriber: srhines.

Tim: Thanks for looking into this. It's definitely a simpler fix than I thought it would be :)

srhines edited edge metadata.Aug 29 2016, 7:33 PM
srhines added a subscriber: meikeb.

Ping... I am not the author of this patch, but am interested in seeing the issue fixed :)

This looks good to me, but I would prefer if one of the more experienced Clang folks could officially LGTM this. Thanks.

timshen updated this revision to Diff 75644.Oct 24 2016, 1:37 PM

Simplified the test.

Ping. Other developers (Firefox) are now starting to hit this issue.

rsmith accepted this revision.Oct 31 2016, 5:01 PM
rsmith edited edge metadata.
This revision is now accepted and ready to land.Oct 31 2016, 5:01 PM
This revision was automatically updated to reflect the committed changes.